Subject: bug#22374: Buffers of previously open files appear in gud interaction window instead of source window in many-windows mode

From: Noam Postavsky <[email-masked]>
Date: Mon, 21 May 2018 16:38:31 -0400

[moving from bug#17675 to #22374]

martin rudalics <[email-masked]> writes:

> If you think that this might solve Bug#22374, I'd go for it.  Can you
> explain how it solves that bug?

Oh, I only observed that it [35] fixes the bug, I was hoping you could
explain it.  Actually, it looks like the explanation you put before [20]
still applies.  The reason the inhibit-same-window fix doesn't help is
that step 9 (middle-click the single line in the stack frame window)
changes the current window, hence the gud interaction window is no
longer the "same-window" and not inhibited.

[20]: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=17675#20
[35]: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=17675#35